package com.cftech.shop.qrcode.dao;

import com.alibaba.fastjson.JSONObject;
import com.cftech.shop.qrcode.model.QyUser;
import com.cftech.shop.qrcode.model.WxQrcode;
import com.cftech.core.generic.GenericDao;
import com.cftech.shop.qrcode.model.vo.WxQrcodeVO;
import org.apache.ibatis.annotations.Param;
import org.apache.poi.ss.formula.functions.T;

import java.util.List;
import java.util.Map;

/**
* 二维码Mapper
*
* @author Neil
* @date: 2017-12-04 17:56
*/
public interface WxQrcodeMapper extends GenericDao<WxQrcode> {
    /**
     * 更新二维码对应的绑定id
     * @param wxQrcode
     * @return
     */
    int updateBindId(WxQrcode wxQrcode);

    List<WxQrcodeVO> fetchSearchByPageVO(Map<String, Object> params);

    List<WxQrcode> fetchSingleSearchInfo(Map<String, Object> params);

    List<QyUser> fromUser(@Param("userId") int userId, @Param("name")String name);

    List<WxQrcode> fromOrg(@Param("name")String name);


    int countUser(int userId);
    int countOrg();
}